Bug Hunting Session
Bug 44946 - Editing Microsoft Equation 3.0 equations imported from Word loses Greek characters ( steps in comment 4 )
Summary: Editing Microsoft Equation 3.0 equations imported from Word loses Greek chara...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Formula Editor (show other bugs)
Version:
(earliest affected)
3.3.4 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
: 68021 (view as bug list)
Depends on:
Blocks: Formula-Editor Font-Rendering
  Show dependency treegraph
 
Reported: 2012-01-19 09:27 UTC by Orion Poplawski
Modified: 2019-10-02 02:56 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
Document containing Microsoft Equation 3.0 object (19.50 KB, application/msword)
2012-01-19 09:27 UTC, Orion Poplawski
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Orion Poplawski 2012-01-19 09:27:34 UTC
Created attachment 55799 [details]
Document containing Microsoft Equation 3.0 object

On import, Microsoft Equation 3.0 style equations appear mostly fine.  But upon editing them the Greek characters revert to Latin letters.  In the attached test case, Delta becomes D and omega becomes w.
Comment 1 tester8 2012-01-25 08:40:08 UTC
NOT reproduced with

LOdev 3.5.0rc1
e40af8c-10029e3-615e522-88673a2-727f724
Ubuntu 10.04.3 x86
Linux 2.6.32-37-generic Russian UI

Probably problems with OpenSymbol font on your system.
See Bug 32052 to know how I solved similar problem. Please report your result.
Comment 2 sasha.libreoffice 2012-05-08 05:41:53 UTC
not reproduced in 3.3.4 and 3.5.3 on Fedora 64 bit and Windows 7 32 bit
Comment 3 Orion Poplawski 2012-05-08 11:27:48 UTC
Removing the system /usr/share/fonts/opensymbol/opens___.ttf didn't help.  The symbols display fine initially, they just change when you edit them.  I still see it with libreoffice-core-3.4.5.2-13.fc16.i686 and libreoffice-core-3.5.2.1-6.fc17.x86_64.
Comment 4 sasha.libreoffice 2012-05-10 03:07:33 UTC
Thanks tor additional information.
Reproduced in 3.3.4 and 3.5.3 on Fedora 64 bit
Steps to reproduce:
0. Open attachment in Writer
1. Double click formula
Expected: all characters remains correct
Actually: delta and omega transforms to D and w

Changing version to 3.3.4 as most early reproducible
On Windows not tested
Comment 5 retired 2014-05-04 12:57:11 UTC
Version: 4.3.0.0.alpha1+
Build ID: f76026a43acc65465882924796d93e635c35fd90
TinderBox: MacOSX-x86@49-TDF, Branch:master, Time: 2014-05-04_06:32:55

Confirmed with latest nightly.

Opening test file shows very odd graphic. Double click that graphic, formula opens and as sasha described: D and w are replacing Delta and Omaga signs
Comment 6 QA Administrators 2015-06-08 14:41:30 UTC Comment hidden (obsolete)
Comment 7 Buovjaga 2015-06-21 17:05:46 UTC
*** Bug 68021 has been marked as a duplicate of this bug. ***
Comment 8 Orion Poplawski 2015-09-11 20:04:45 UTC
Tested with LO 5.0.1 rpms from libreoffice.org on Fedora 21.  Still a problem.
Comment 9 Regina Henschel 2015-09-11 20:55:16 UTC
Tested with Version: 5.1.0.0.alpha1+
Build ID: fdafa5302df26df4f147b0d2efb6064389a1330c
TinderBox: Win-x86@62-merge-TDF, Branch:MASTER, Time: 2015-08-22_23:42:26
Locale: de-DE (de_DE).
Wrong on Windows7 too.
Comment 10 QA Administrators 2016-09-20 10:32:06 UTC Comment hidden (obsolete)
Comment 11 Orion Poplawski 2016-09-20 16:56:06 UTC
Still present with LO 5.2.1.2 rpms on Scientific Linux 7.2.
Comment 12 Xisco Faulí 2017-03-30 07:46:53 UTC
Still reproducible in

Version: 5.4.0.0.alpha0+
Build ID: 6152bf9ee9b2e348dee854921a5a5db1cfc72995
CPU threads: 4; OS: Linux 4.8; UI render: default; VCL: gtk2; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group
Comment 13 QA Administrators 2018-03-31 02:31:31 UTC Comment hidden (obsolete)
Comment 14 Orion Poplawski 2018-04-05 21:09:39 UTC Comment hidden (obsolete)
Comment 15 Orion Poplawski 2018-04-05 21:13:26 UTC
Version: 6.0.3.2
Build ID: 8f48d515416608e3a835360314dac7e47fd0b821
CPU threads: 8; OS: Linux 3.10; UI render: default; VCL: kde4; 
Locale: en-US (en_US.UTF-8); Calc: CL
Comment 16 QA Administrators 2019-10-02 02:56:36 UTC
Dear Orion Poplawski,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug